## mingw-w64-python-scikit-image-0.24.0-1.src.tar.zst

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        ?= python
SPHINXOPTS    ?= -j1
SPHINXBUILD   ?= $(PYTHON) -m sphinx
SPHINXCACHE   ?= build/doctrees
PAPER         ?=

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(SPHINXCACHE) $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
DEST            = build

.PHONY: all help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest gitwash gh-pages release_notes

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  devhelp   to make HTML files and a Devhelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf  to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  gitwash   to update the gitwash documentation"

clean:
	-rm -rf $(DEST)
	-rm -rf api
	-rm -rf source/api
	-find ./source/auto_examples/* -type f | grep -v blank | xargs -r rm -f

api:
	@mkdir -p source/api
	$(PYTHON) tools/build_modref_templates.py
	@echo "Build API docs...done."


html: api
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(DEST)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(DEST)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(DEST)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(DEST)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(DEST)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/scikitimage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/scikitimage.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(DEST)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikitimage"
	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitimage"
	@echo "# devhelp"

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(DEST)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(DEST)/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(DEST)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(DEST)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

gh-pages:
	$(PYTHON) gh-pages.py

gitwash:
	$(PYTHON) tools/gitwash/gitwash_dumper.py source scikit-image \
	--project-url=https://scikit-image.org \
	--project-ml-url=https://mail.python.org/mailman3/lists/scikit-image.python.org/ \
	--repo-name=scikit-image \
	--github-user=scikit-image \
	--source-suffix=.rst

=== PKGBUILD ===
# Maintainer: Sarah Ottinger <schalaalexiazeal@gmail.com>
# Contributor: Miloš Komarčević <miloskomarcevic@aim.com>

_pyname=scikit_image
_realname=scikit-image
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.24.0
pkgrel=1
pkgdesc='Image processing routines for SciPy (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64')
url="https://scikit-image.org/"
msys2_repository_url="https://github.com/scikit-image/scikit-image"
msys2_references=(
  'pypi: scikit-image'
)
license=('spdx:BSD-3-Clause AND BSD-2-Clause AND MIT')
depends=("${MINGW_PACKAGE_PREFIX}-python-matplotlib>=3.5"
  "${MINGW_PACKAGE_PREFIX}-python-scipy>=1.8"
  "${MINGW_PACKAGE_PREFIX}-python-pywavelets>=1.1.1"
  "${MINGW_PACKAGE_PREFIX}-python-numpy>1.22"
  "${MINGW_PACKAGE_PREFIX}-python-networkx>=2.8"
  "${MINGW_PACKAGE_PREFIX}-python-imageio>=2.27"
  "${MINGW_PACKAGE_PREFIX}-python-tifffile>=2022.8.12"
  "${MINGW_PACKAGE_PREFIX}-python-pillow>=9.0.1"
  "${MINGW_PACKAGE_PREFIX}-python-lazy-loader>=0.3")
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-python-build"
  "${MINGW_PACKAGE_PREFIX}-python-installer"
  "${MINGW_PACKAGE_PREFIX}-python-setuptools"
  "${MINGW_PACKAGE_PREFIX}-python-wheel"
  "${MINGW_PACKAGE_PREFIX}-python-pythran"
  "${MINGW_PACKAGE_PREFIX}-cython"
  "${MINGW_PACKAGE_PREFIX}-meson-python"
  "${MINGW_PACKAGE_PREFIX}-pkgconf"
  "${MINGW_PACKAGE_PREFIX}-cc")
checkdepends=("${MINGW_PACKAGE_PREFIX}-python-pytest>=7.0"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-cov>=2.11.0"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-localserver"
  "${MINGW_PACKAGE_PREFIX}-python-pooch")
optdepends=("${MINGW_PACKAGE_PREFIX}-freeimage: for reading various types of image file formats"
  "${MINGW_PACKAGE_PREFIX}-python-pyamg: fast cg_mg mode of random walker segmentation")
options=('!strip' '!emptydirs')
source=("https://pypi.org/packages/source/${_pyname::1}/${_pyname}/${_pyname}-${pkgver}.tar.gz")
sha256sums=('5d16efe95da8edbeb363e0c4157b99becbd650a60b77f6e3af5768b66cf007ab')

build() {
  msg "Python build for ${MSYSTEM}"
  cd "${srcdir}"
  cp -r "${_pyname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"

  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

check() {
  msg "Python test for ${MSYSTEM}"
  cd "${srcdir}/python-build-${MSYSTEM}"

  ${MINGW_PREFIX}/bin/python -m pytest
}

package() {
  msg "Python install for ${MSYSTEM}"
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  shopt -s globstar
  rm "${pkgdir}${MINGW_PREFIX}"/**/*.dll.a

  install -Dm644 LICENSE.txt "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
  install -Dm644 README.md "${pkgdir}${MINGW_PREFIX}/share/doc/python-${_realname}/README.md"
}
